// JavaScript Document
var objsl

//从xml.asp得到数据，第一个是参数传ID，第二个是要填充的select
function getXML(pid,sl,obj)
{
	objsl=sl
	if(obj.name=="Area1")
	{
	document.all.Area3.innerHTML=""
	}

	xh = new ActiveXObject("Microsoft.XMLHTTP")	
	xh.onreadystatechange = getReady
	xh.open("GET","../Inc/SK.AreaXml.asp?pid=" + pid,true)
	xh.send()
}

function getReady()
{
	if(xh.readyState==4)
	{
		if(xh.status==200)
		{
			slremove()			
			var xmldom = new ActiveXObject("Microsoft.XMLDOM")
			xmldom = xh.responseXML
			if(xmldom == null || xmldom.documentElement == null)
			{
				addsl("-1","抱歉，装载数据失败。原因：返回的数据不是一个XML结构的文档.",objsl)
				return
			}

			var nodes = xmldom.documentElement.selectNodes("/root/item")
			if(nodes == null )
			{
				addsl("-1","抱歉，装载数据失败。原因：没有返回正确的XML结构格式.",objsl)
				return
			}
			
			addsl("-1","-=请选择=-",objsl)
			//循环增加数据			
			for(var i=0;i<nodes.length;i++)
			{
				addsl(nodes[i].selectSingleNode("id").text,nodes[i].selectSingleNode("Title").text,objsl)
			}
			//判断是否有返回数据
			if (nodes.length==0)
			{
				slremove()
				addsl("-1","-=无数据=-",objsl)
			}
		}
		else
		{
			slremove()
			addsl("-1","抱歉，装载数据失败。原因：" + xh.statusText,objsl)
		}		
	}
}

//清空select
function slremove()
{
	var ln = objsl.options.length;
	while (ln--)
	{
		objsl.options[ln] = null;
	}
}

//向select中增加数据
function addsl(svalue,stext,tbox) 
{
	var i = 0;
	if(stext.value != "")
	{
		var no = new Option();
		no.value = svalue;
		no.text = stext;
		tbox.options[tbox.options.length] = no;
	}
}
